#ifndef EPILOG
#define Output			 	cgperf_Output
#define output_asso_values_index	cgperf_Output_output_asso_values_index
#define output_asso_values_ref		cgperf_Output_output_asso_values_ref
#define output_compute_min_max		cgperf_Output_compute_min_max
#define output_constants_defines	cgperf_Output_output_constants_defines
#define output_constants_enum		cgperf_Output_output_constants_enum
#define output_del			cgperf_Output_del
#define output_do			cgperf_Output_output_do
#define output_hash_function		cgperf_Output_output_hash_function
#define output_keylength_table		cgperf_Output_output_keylength_table
#define output_keyword_table		cgperf_Output_output_keyword_table
#define output_lookup_array		cgperf_Output_output_lookup_array
#define output_lookup_function		cgperf_Output_output_lookup_function
#define output_lookup_function_body	cgperf_Output_output_lookup_function_body
#define output_lookup_pools		cgperf_Output_output_lookup_pools
#define output_lookup_tables		cgperf_Output_output_lookup_tables
#define output_new			cgperf_Output_new
#define output_num_hash_values		cgperf_Output_num_hash_values
#define output_string_pool		cgperf_Output_string_pool
#else /* EPILOG */
#undef output_num_hash_values
#undef Ouput
#undef output_asso_values_index
#undef output_asso_values_ref
#undef output_constants_defines
#undef output_constants_enum
#undef output_del
#undef output_do
#undef output_hash_function
#undef output_lookup_function_body
#undef output_keylength_table
#undef output_keyword_table
#undef output_lookup_array
#undef output_lookup_function
#undef output_lookup_pools
#undef output_lookup_tables
#undef output_new
#undef output_string_pool
#endif
